## org.eclipse.emf.ecoretools.diagram.edit.parts
Class EPackageEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
                  org.eclipse.gmf.runtime.diagram.ui.editparts.DiagramEditPart
                      org.eclipse.emf.ecoretools.diagram.edit.parts.EPackageEditPart

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.LayerConstants, org.eclipse.gef.RequestConstants, org.eclipse.gmf.runtime.common.core.util.IAdaptableSelection, org.eclipse.gmf.runtime.diagram.core.listener.NotificationListener, org.eclipse.gmf.runtime.diagram.ui.editparts.IEditableEditPart, org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.ISurfaceEditPart

    public class EPackageEditPart

extends org.eclipse.gmf.runtime.diagram.ui.editparts.DiagramEditPart

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`org.eclipse.gef.editparts.AbstractGraphicalEditPart.AccessibleGraphicalEditPart, org.eclipse.gef.editparts.AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractEditPart
`org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator`

Field Summary
`static java.lang.String` `MODEL_ID`
`static int` `VISUAL_ID`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
`accessibleEP, elementGuid, FLAG__AUTO_CONNECTIONS_VISIBILITY, FLAG__IS_EDITABLE, GRAPHICAL_EDIT_PART__MAX_FLAG`

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.LayerConstants
`CONNECTION_LAYER, FEEDBACK_LAYER, GRID_LAYER, GUIDE_LAYER, HANDLE_LAYER, PRIMARY_LAYER, PRINTABLE_LAYERS, SCALABLE_LAYERS, SCALED_FEEDBACK_LAYER`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`EPackageEditPart(org.eclipse.gmf.runtime.notation.View view)`

Method Summary
`protected void` `createDefaultEditPolicies()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.DiagramEditPart
`activate, addChildVisual, createFigure, getAdapter, getChildrenAffectingZoom, getChildrenBounds, getConnectionLayer, getConnections, getDiagramView, getDragTracker, getLayer, getPrimaryEditParts, getScrollableControl, getViewport, isActivatingDiagram, isSupportingViewActions, refreshPageBreaks, setIsSupportingViewActions, updatePageBreaksLocation`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart

`addChild, addListenerFilter, addListenerFilter, addNotationalListeners, addSemanticListeners, basicGetModel, createConnection, createEditPolicies, deactivate, disableCanonicalFor, disableEditMode, enableEditMode, eraseSourceFeedback, eraseTargetFeedback, executeCommand, findEditPart, getAccessibleEditPart, getChildBySemanticHint, getChildBySemanticHintOnPrimaryView, getChildViewBySemanticHint, getCommand, getContentPaneFor, getDiagramEditDomain, getDiagramPreferencesHint, getEditDomain, getEditingDomain, getLineType, getLineWidth, getMapMode, getModel, getModelChildren, getNotationView, getPreferredValue, getPrimaryChildEditPart, getPrimaryView, getResourceManager, getRoot, getStructuralFeatureValue, getTopGraphicEditPart, handleMajorSemanticChange, handleNotificationEvent, hasNotationView, isAutomaticalRefreshConnectionsVisibility, isCanonical, isEditModeEnabled, isSelectable, notifyChanged, performDirectEditRequest, performRequest, reactivateSemanticModel, refresh, refreshBackgroundColor, refreshChild, refreshFont, refreshFontColor, refreshForegroundColor, refreshLineType, refreshLineWidth, refreshSourceConnection, refreshTargetConnection, refreshVisibility, refreshVisuals, registerModel, removeListenerFilter, removeNotationalListeners, removeNotify, removeSemanticListeners, resolveSemanticElement, setAutomaticalRefreshConnectionsVisibility, setBackgroundColor, setConnectionsVisibility, setFont, setFontColor, setForegroundColor, setLineType, setLineWidth, setModel, setStructuralFeatureValue, setVisibility, showSourceFeedback, showTargetFeedback, transactionAboutToCommit, unregisterModel`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addNodeListener, addNotify, addSourceConnection, addTargetConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getContentPane, getFigure, getModelSourceConnections, getModelTargetConnections, getSourceConnections, getTargetConnections, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getChildren, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getParent, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, refreshChildren, register, registerAccessibility, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setParent, setSelected, toString, understandsRequest, unregister, unregisterAccessibility`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart
`addEditPartListener, addNotify, getChildren, getEditPolicy, getParent, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, removeEditPartListener, removeEditPolicy, setFocus, setParent, setSelected, understandsRequest`

Field Detail

### MODEL_ID

    public static final java.lang.String MODEL_ID

See Also:
  Constant Field Values

### VISUAL_ID

    public static final int VISUAL_ID

See Also:
  Constant Field Values

Constructor Detail

### EPackageEditPart

    public EPackageEditPart(org.eclipse.gmf.runtime.notation.View view)

Method Detail

### createDefaultEditPolicies

    protected void createDefaultEditPolicies()

  Overrides:
    `createDefaultEditPolicies` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.DiagramEditPart`

Copyright 2007 Anyware Technologies. All Rights Reserved.